Skip to navigation

Delete a DNS record

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

zoneIdstringRequired
DNS zone identifier
namestringRequired

Record hostname (use @ for apex)

typestringRequired
Record type

Request

This endpoint expects an object.
contentstringOptional

Specific record value to remove. Used for multi-value MX/NS/TXT record sets to target a single entry.

Response

Record deleted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error